classification
Title: pip is not bootstrapped by default on 2.7
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Axel, docs@python, martin.panter, python-dev, zach.ware
Priority: normal Keywords:

Created on 2016-03-29 14:24 by Axel, last changed 2020-04-27 03:58 by zach.ware. This issue is now closed.

Messages (3)
msg262610 - (view) Author: Axel Luttgens (Axel) Date: 2016-03-29 14:24
Relevant page:

    https://docs.python.org/2/library/ensurepip.html

One may read:

    In most cases, end users of Python shouldn’t need to invoke
    this module directly (as pip should be bootstrapped by default),
    but it may be needed if installing pip was skipped when
    installing Python (or when creating a virtual environment) or
    after explicitly uninstalling pip.

As far as I correctly read the configure file that comes with the 2.7.11 tarball, the default is to behave as if --with-ensurepip=no had been passed.

As a result, that sentence fragment:

    (as pip should be bootstrapped by default)

may appear somewhat ambiguous for those compiling Python themselves.

Perhaps could this one avoid some head scratching:

    (as packagers are expected to have bootstrapped pip)

HTH,
Axel
msg269635 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-07-01 00:37
Revision 4fc0154ec84a links here, but actually seems to be discussed in Issue 26348 and Issue 26664 instead.
msg367378 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2020-04-27 03:58
As 2.7 is now EOL, I'm closing the issue.  Thanks for the report anyway, Axel!
History
Date User Action Args
2020-04-27 03:58:13zach.waresetstatus: open -> closed

nosy: + zach.ware
messages: + msg367378

resolution: out of date
stage: resolved
2016-07-01 00:37:12martin.pantersetnosy: + martin.panter
messages: + msg269635
2016-06-30 19:38:14zach.waresetmessages: - msg269614
2016-06-30 18:43:33python-devsetnosy: + python-dev
messages: + msg269614
2016-03-29 14:26:34Axelsettitle: pip is not bootstrapped by default -> pip is not bootstrapped by default on 2.7
2016-03-29 14:24:46Axelcreate